<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/CameraTools/CTObjectFollower.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d26/_c_t_object_follower_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CTObjectFollower.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d26/_c_t_object_follower_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../da/d2f/class_c_t_object_follower.html">CTObjectFollower</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a5420144cbb712ffd5ca6ab8ad31324bb">    3</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a5420144cbb712ffd5ca6ab8ad31324bb">m_FollowerRoot</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a38aacb18fa315f220e16d37247be7cde">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a38aacb18fa315f220e16d37247be7cde">m_FollowerButton</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>            <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8a9b4b04650add53e5f776d15ae81160">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8a9b4b04650add53e5f776d15ae81160">m_FollowedObject</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aec9e54205b886bc2ff26042af5f881c6">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aec9e54205b886bc2ff26042af5f881c6">m_MaxFade</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a21a0ade1314e97424a0b8218dec21783">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a21a0ade1314e97424a0b8218dec21783">m_MinFade</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="keyword">protected</span> CameraToolsMenu   <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2f59a809dc63d0fbce0aa300e0ee8739">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2f59a809dc63d0fbce0aa300e0ee8739">~CTObjectFollower</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        DestroyFollowedObject();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keyword">delete</span> m_FollowerRoot;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a354a022f8d2c1bff9607630c9ce1203c">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a354a022f8d2c1bff9607630c9ce1203c">CreateFollowedObject</a>( <span class="keywordtype">string</span> type )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_FollowedObject = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObject( type, <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a>, <span class="keyword">true</span> ) );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a>( <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga747a0580552aa1a6813bb2214ce93ea3">SetRotation</a>( <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a> );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a5bf752b3c994ad6652e5384f58243920">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a5bf752b3c994ad6652e5384f58243920">DestroyFollowedObject</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span>( m_FollowedObject )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#af2d3ca6b396587b08c0f5aee95250ee2">ObjectDelete</a>( m_FollowedObject );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2ff489cb8e5370f55898ecca39fc52db">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2ff489cb8e5370f55898ecca39fc52db">Update</a>( <span class="keywordtype">float</span> timeslice )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        UpdatePos();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#afe4981ca6e6c9d3669fc13f58c7f5968">   41</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#afe4981ca6e6c9d3669fc13f58c7f5968">GetObj</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> m_FollowedObject;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ab361b7015693bb694de626e9b868a75f">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab361b7015693bb694de626e9b868a75f">SetPosition</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> = position;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span>( m_FollowedObject )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            m_FollowedObject.SetPosition( position );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> = m_FollowedObject.GetPosition();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        UpdatePos();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1eae5d216f5663f13954bfd03b27493c">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a1eae5d216f5663f13954bfd03b27493c">SetRotation</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> dir )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a> = dir;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( m_FollowedObject );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span>( player )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            player.SetOrientation( <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a> );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        UpdatePos();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">   68</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">GetPosition</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span>( m_FollowedObject &amp;&amp; m_FollowedObject.GetPosition() != <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <a class="code hl_function" href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a>( m_FollowedObject.GetPosition() );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a4e5cfcb4cae7d4915805a41e93616598">   77</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a4e5cfcb4cae7d4915805a41e93616598">GetRotation</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span>( m_FollowedObject )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> m_FollowedObject.GetOrientation();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0 0 0&quot;</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a13251461ac0461892a80814bdfe8d326">   90</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a13251461ac0461892a80814bdfe8d326">UpdatePos</a>()</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> relativePos;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        relativePos     =   <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00ef4bc36ce95c1ca862b4dcf5fcadce">GetScreenPosRelative</a>( <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span>( relativePos[0] &gt;= 1 || relativePos[0] == 0 || relativePos[1] &gt;= 1 || relativePos[1] == 0 )</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            m_FollowerRoot.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( relativePos[2] &lt; 0 )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            m_FollowerRoot.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            m_FollowerRoot.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        m_FollowerRoot.GetSize( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        m_FollowerRoot.SetPos( relativePos[0], relativePos[1] );</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a948c36ad67b686316080e633cb83b607">  117</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a948c36ad67b686316080e633cb83b607">Show</a>()</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        m_FollowerRoot.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2f2d824670593d7a952c026cdf563951">  122</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2f2d824670593d7a952c026cdf563951">Hide</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        m_FollowerRoot.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a18c2a1ca935300643d7d650821763309">  127</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a18c2a1ca935300643d7d650821763309">Fade</a>( <span class="keywordtype">bool</span> fade )</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">if</span>( fade )</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            m_FollowerRoot.SetAlpha( m_MinFade );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            m_FollowerRoot.SetAlpha( m_MaxFade );</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">  139</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3c3c64d3a6abdb3da474d6e1913c44eb">  144</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3c3c64d3a6abdb3da474d6e1913c44eb">OnDoubleClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">  149</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">OnMouseButtonDown</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span>( w == m_FollowerButton &amp;&amp; button == <a class="code hl_enumeration" href="../../d7/dc0/group___mouse.html#ga3fe1dc281e20599dff9635c050a28b8c">MouseState</a>.LEFT )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a> )</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.SelectActor( <a class="code hl_function" href="../../da/d2f/class_c_t_object_follower.html#add9ab77695f2edd99e45f8b764cae941">CTActor</a>.Cast( <span class="keyword">this</span> ) );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">  162</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">OnMouseButtonUp</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span>( w == m_FollowerButton &amp;&amp; button == <a class="code hl_enumeration" href="../../d7/dc0/group___mouse.html#ga3fe1dc281e20599dff9635c050a28b8c">MouseState</a>.LEFT )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a> )</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.SelectActor( null );</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_ac53f9c284ba6b2a966e2a76a73a2d971"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a></div><div class="ttdeci">vector m_Orientation</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00015">BleedingSource.c:15</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_effect_8c_html_af22d84c37bdac40df9bb3124b1724777"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a></div><div class="ttdeci">protected vector m_Position</div><div class="ttdoc">Cached world position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00041">Effect.c:41</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_server_browser_tab_8c_html_a18700c22f44a4dc5a25c9768ed30314a"><div class="ttname"><a href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a></div><div class="ttdeci">protected ServerBrowserMenuNew m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de3/_server_browser_tab_8c_source.html#l00029">ServerBrowserTab.c:29</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00ef4bc36ce95c1ca862b4dcf5fcadce"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00ef4bc36ce95c1ca862b4dcf5fcadce">CGame::GetScreenPosRelative</a></div><div class="ttdeci">proto native vector GetScreenPosRelative(vector world_pos)</div><div class="ttdoc">Transforms position in world to position in screen in percentage (0.0 - 1.0) as x,...</div></div>
<div class="ttc" id="aclass_c_game_html_af2d3ca6b396587b08c0f5aee95250ee2"><div class="ttname"><a href="../../d2/de6/class_c_game.html#af2d3ca6b396587b08c0f5aee95250ee2">CGame::ObjectDelete</a></div><div class="ttdeci">proto native void ObjectDelete(Object obj)</div></div>
<div class="ttc" id="aclass_c_t_object_follower_html"><div class="ttname"><a href="../../da/d2f/class_c_t_object_follower.html">CTObjectFollower</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/_c_t_actor_8c_source.html#l00001">CTActor.c:2</a></div></div>
<div class="ttc" id="aclass_c_t_object_follower_html_add9ab77695f2edd99e45f8b764cae941"><div class="ttname"><a href="../../da/d2f/class_c_t_object_follower.html#add9ab77695f2edd99e45f8b764cae941">CTObjectFollower::CTActor</a></div><div class="ttdeci">void CTActor(int index, vector pos, vector orient, string type, array&lt; string &gt; items, string hands_item, CameraToolsMenu parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/_c_t_actor_8c_source.html#l00013">CTActor.c:13</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_shape_html_ga3aa6cafceab9d573982aa9db5a5d6e34"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a></div><div class="ttdeci">proto native void SetPosition(vector position)</div><div class="ttdoc">Set the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00427">Effect.c:427</a></div></div>
<div class="ttc" id="agroup___mouse_html_ga3fe1dc281e20599dff9635c050a28b8c"><div class="ttname"><a href="../../d7/dc0/group___mouse.html#ga3fe1dc281e20599dff9635c050a28b8c">MouseState</a></div><div class="ttdeci">MouseState</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00310">EnSystem.c:311</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a13251461ac0461892a80814bdfe8d326"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a13251461ac0461892a80814bdfe8d326">ScriptedWidgetEventHandler::UpdatePos</a></div><div class="ttdeci">void UpdatePos()</div><div class="ttdoc">Function updating the position of the tracker widget.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00090">CTObjectFollower.c:90</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a18c2a1ca935300643d7d650821763309"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a18c2a1ca935300643d7d650821763309">ScriptedWidgetEventHandler::Fade</a></div><div class="ttdeci">void Fade(bool fade)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00127">CTObjectFollower.c:127</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1eae5d216f5663f13954bfd03b27493c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1eae5d216f5663f13954bfd03b27493c">ScriptedWidgetEventHandler::SetRotation</a></div><div class="ttdeci">void SetRotation(vector dir)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00057">CTObjectFollower.c:57</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a21a0ade1314e97424a0b8218dec21783"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a21a0ade1314e97424a0b8218dec21783">ScriptedWidgetEventHandler::m_MinFade</a></div><div class="ttdeci">protected float m_MinFade</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00011">CTObjectFollower.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2f2d824670593d7a952c026cdf563951"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2f2d824670593d7a952c026cdf563951">ScriptedWidgetEventHandler::Hide</a></div><div class="ttdeci">void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00122">CTObjectFollower.c:122</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2f59a809dc63d0fbce0aa300e0ee8739"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2f59a809dc63d0fbce0aa300e0ee8739">ScriptedWidgetEventHandler::~CTObjectFollower</a></div><div class="ttdeci">void ~CTObjectFollower()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00015">CTObjectFollower.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2ff489cb8e5370f55898ecca39fc52db"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2ff489cb8e5370f55898ecca39fc52db">ScriptedWidgetEventHandler::Update</a></div><div class="ttdeci">void Update(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00036">CTObjectFollower.c:36</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a354a022f8d2c1bff9607630c9ce1203c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a354a022f8d2c1bff9607630c9ce1203c">ScriptedWidgetEventHandler::CreateFollowedObject</a></div><div class="ttdeci">void CreateFollowedObject(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00021">CTObjectFollower.c:21</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a38aacb18fa315f220e16d37247be7cde"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a38aacb18fa315f220e16d37247be7cde">ScriptedWidgetEventHandler::m_FollowerButton</a></div><div class="ttdeci">protected Widget m_FollowerButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00004">CTObjectFollower.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3bd7af8067813f961b87017e170701d8"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">ScriptedWidgetEventHandler::OnMouseButtonUp</a></div><div class="ttdeci">override bool OnMouseButtonUp(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00162">CTObjectFollower.c:162</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3c3c64d3a6abdb3da474d6e1913c44eb"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3c3c64d3a6abdb3da474d6e1913c44eb">ScriptedWidgetEventHandler::OnDoubleClick</a></div><div class="ttdeci">override bool OnDoubleClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00144">CTObjectFollower.c:144</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a4e5cfcb4cae7d4915805a41e93616598"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a4e5cfcb4cae7d4915805a41e93616598">ScriptedWidgetEventHandler::GetRotation</a></div><div class="ttdeci">vector GetRotation()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00077">CTObjectFollower.c:77</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a5420144cbb712ffd5ca6ab8ad31324bb"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a5420144cbb712ffd5ca6ab8ad31324bb">ScriptedWidgetEventHandler::m_FollowerRoot</a></div><div class="ttdeci">protected Widget m_FollowerRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00003">CTObjectFollower.c:3</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a5bf752b3c994ad6652e5384f58243920"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a5bf752b3c994ad6652e5384f58243920">ScriptedWidgetEventHandler::DestroyFollowedObject</a></div><div class="ttdeci">void DestroyFollowedObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00028">CTObjectFollower.c:28</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8a9b4b04650add53e5f776d15ae81160"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8a9b4b04650add53e5f776d15ae81160">ScriptedWidgetEventHandler::m_FollowedObject</a></div><div class="ttdeci">protected EntityAI m_FollowedObject</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00008">CTObjectFollower.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a948c36ad67b686316080e633cb83b607"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a948c36ad67b686316080e633cb83b607">ScriptedWidgetEventHandler::Show</a></div><div class="ttdeci">void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00117">CTObjectFollower.c:117</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00139">CTObjectFollower.c:139</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa1f7b77ea63b19781614a28c1af95050"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa1f7b77ea63b19781614a28c1af95050">ScriptedWidgetEventHandler::GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00068">CTObjectFollower.c:68</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ab361b7015693bb694de626e9b868a75f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ab361b7015693bb694de626e9b868a75f">ScriptedWidgetEventHandler::SetPosition</a></div><div class="ttdeci">void SetPosition(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00046">CTObjectFollower.c:46</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aec9e54205b886bc2ff26042af5f881c6"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aec9e54205b886bc2ff26042af5f881c6">ScriptedWidgetEventHandler::m_MaxFade</a></div><div class="ttdeci">protected float m_MaxFade</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00010">CTObjectFollower.c:10</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af921f811125e1ea417150db534780afd"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">ScriptedWidgetEventHandler::OnMouseButtonDown</a></div><div class="ttdeci">override bool OnMouseButtonDown(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00149">CTObjectFollower.c:149</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_afe4981ca6e6c9d3669fc13f58c7f5968"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#afe4981ca6e6c9d3669fc13f58c7f5968">ScriptedWidgetEventHandler::GetObj</a></div><div class="ttdeci">EntityAI GetObj()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_c_t_object_follower_8c_source.html#l00041">CTObjectFollower.c:41</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga747a0580552aa1a6813bb2214ce93ea3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga747a0580552aa1a6813bb2214ce93ea3">SetRotation</a></div><div class="ttdeci">proto native void SetRotation(float roll, float pitch, float yaw, bool immedUpdate=true)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_7dfe9f691c8e304835cefb6bd942bd2c.html">CameraTools</a></li><li class="navelem"><a class="el" href="../../d8/d26/_c_t_object_follower_8c.html">CTObjectFollower.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
